mav_windowPerspectiveSet(3)

NAME
mav_windowPerspectiveSet - Set perspective parameters for a window.

LEVEL
Maverik Level 1

SYNTAX
void mav_windowPerspectiveSet(MAV_window *w, float ncp, float fcp, float fov, float aspect);

ARGUMENTS

MAV_window *w
    Window.

float ncp
    Position of near clip plane, in application units.

float fcp
    Position of far clip plane, in application units.

float fov
    Vertical field of view in degrees

float aspect
    Aspect ratio.

DESCRIPTION
This function sets the perspective parameters for window w. ncp and fcp respectively specify the positions of the near and far clip planes. fov specifies the field of view, measured vertically in degrees fov/2 up and fov2 down from the view direction vector. aspect gives the aspect ratio of the view, which will normally be set to match the aspect ratio of window w.